# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate sct

Name:           rust-%{crate}
Version:        0.6.0
Release:        5%{?dist}
Summary:        Certificate transparency SCT verification library

# Upstream license specification: Apache-2.0/ISC/MIT
License:        ASL 2.0 or ISC or MIT
URL:            https://crates.io/crates/sct
Source:         %{crates_source}
# Initial patched metadata
# * Exclude useless files, https://github.com/ctz/sct.rs/pull/5
Patch0:         sct-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
# ring is not available on those architectures
ExcludeArch:    s390x %{power64}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Certificate transparency SCT verification library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE LICENSE-MIT LICENSE-ISC LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 18:21:25 CET 2021 Igor Raits <igor.raits@gmail.com> - 0.6.0-1
- Initial package
